Bug 1185848 - package fails to build on aarch64 due to very old config.{guess,sub} files
Summary: package fails to build on aarch64 due to very old config.{guess,sub} files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coin-or-Ipopt
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-26 12:29 UTC by Paulo Andrade
Modified: 2015-02-09 05:31 UTC (History)
3 users (show)

Fixed In Version: coin-or-Ipopt-3.12.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:30:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Paulo Andrade 2015-01-26 12:29:58 UTC
<hrw> pcpa: package fails to build on aarch64 due to very old config.{guess,sub} files
<pcpa> hrw: just send me the patch by email and I will apply the change
<hrw> sure
<hrw> pcpa: http://paste.fedoraproject.org/174944/27446214 is diff (no bumprev yet as it is still building)
<pcpa> hrw: ok, if you can confirm it builds it would be better
<hrw> sure
<hrw> pcpa: Zapisano: /builddir/build/RPMS/coin-or-Ipopt-3.11.10-2.fc22.aarch64.rpm
* akurtakov saiu (Quit: Konversation terminated!)
<pcpa> hrw: do you want me to "fedpkg build" it also?
<hrw> pcpa: f21 backport would be lovely ;)
<hrw> pcpa: aarch64 is secondary so we will build after primary builds will be done
<pcpa> hrw: Ok, I will open a bug as a reason for update for f21, and add your patch
<hrw> thanks

Comment 1 Fedora Update System 2015-01-26 13:10:57 UTC
coin-or-Ipopt-3.11.10-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.11.10-3.fc21

Comment 2 Fedora Update System 2015-01-27 03:09:03 UTC
Package coin-or-Ipopt-3.11.10-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coin-or-Ipopt-3.11.10-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1262/coin-or-Ipopt-3.11.10-3.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-01-31 12:52:51 UTC
coin-or-Ipopt-3.12.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.12.0-1.fc21

Comment 4 Fedora Update System 2015-01-31 12:52:59 UTC
coin-or-Ipopt-3.12.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.12.0-1.fc20

Comment 5 Marcin Juszkiewicz 2015-02-04 08:56:58 UTC
3.11.10-3 had it fixed. 3.12.0-1 broke it again.

will push a fix

Comment 6 Fedora Update System 2015-02-09 05:30:40 UTC
coin-or-Ipopt-3.12.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-02-09 05:31:42 UTC
coin-or-Ipopt-3.12.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.